# $Revision: 1.30 $, $Date: 2007-12-26 21:48:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Virtual
Summary:	Class::Virtual Perl module - base class for virtual base classes
Summary(pl.UTF-8):	Moduł Perla Class::Virtual - podstawowa klasa do implementacji podstawowych klas wirtualnych
Name:		perl-Class-Virtual
Version:	0.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c822a4d2ee02795dd2ad0368a6374657
URL:		http://search.cpan.org/dist/Class-Virtual/
BuildRequires:	perl-Class-ISA
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-enum
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Carp-Assert
BuildRequires:	perl-Class-Data-Inheritable
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Virtual is a base class for implementing virtual base classes
(what some people call an abstract class).  Kinda kooky.  It allows
you to explicitly declare what methods are virtual and that must be
implemented by subclasses.  This might seem silly, since your program
will halt and catch fire when an unimplemented virtual method is hit
anyway, but there are some benefits.

%description -l pl.UTF-8
Class::Virtual jest podstawową klasą do implementacji podstawowych
klas wirtualnych (przez niektórych nazywanych klasami abstrakcyjnymi).
Pozwala ona na jawne określenie, które metody są wirtualne i muszą
być zaimplementowane w podklasach. Może się to wydawać głupie, gdyż
program użytkownika i tak stanie (i wznieci ogień) po natrafieniu na
niezaimplementowaną metodę wirtualną, ale rozwiązanie to ma pewne
zalety.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/Virtual.pm
%{perl_vendorlib}/Class/Virtually
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Virtual.spec,v $
Revision 1.30  2007-12-26 21:48:15  zbyniu
- up to 0.06

Revision 1.29  2007-05-28 18:07:28  qboosh
- generic URL

Revision 1.28  2007/05/28 10:41:42  radek
- release 3: License

Revision 1.27  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:25  baggins
- converted to UTF-8

Revision 1.25  2005/01/07 12:15:33  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.24  2005/01/03 12:29:34  adamg
- updated to 0.05

Revision 1.23  2004/11/03 22:30:10  paladine
- formatting

Revision 1.22  2004/10/24 14:01:50  paladine
- spelling fix

Revision 1.21  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.20  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.19  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 14:08:43  ankry
- missing BR:

Revision 1.17  2004/04/25 12:47:37  ankry
- typo

Revision 1.16  2004/04/25 11:38:36  ankry
- added tests

Revision 1.15  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.14  2004/04/18 16:56:36  ankry
- license fixes and unification

Revision 1.13  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.12  2003/11/01 12:50:31  radek
- release down to 1

Revision 1.11  2003/11/01 12:50:03  radek
- version 0.04

Revision 1.10  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:13  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/12 16:37:44  mis
- removed nonsense Summaries

Revision 1.1  2002/07/30 13:52:48  ankry
- new module
